/**
 * Theme Name:     ewho-Twenty Twenty-One Child
 * Author:         TP
 * Template:       twentytwentyone
 * Text Domain:	   ewho-twenty-twenty-one-child
 * Description:    Twenty Twenty-One is a blank canvas for your ideas and it makes the block editor your best brush. With new block patterns, which allow you to create a beautiful layout in a matter of seconds, this theme’s soft colors and eye-catching — yet timeless — design will let your work shine. Take it for a spin! See how Twenty Twenty-One elevates your portfolio, business website, or personal blog.
 */

 /* Variables */
:root {

	/* Colors */
	--global--color-black: #000;
	--global--color-dark-gray: #28303d;
	--global--color-gray: #39414d;
	--global--color-light-gray: #f0f0f0;
	--global--color-green: #d1e4dd;
	--global--color-blue: #d1dfe4;
	--global--color-purple: #d1d1e4;
	--global--color-red: #e4d1d1;
	--global--color-orange: #e4dad1;
	--global--color-yellow: #eeeadd;
	--global--color-white: #fff;
	--global--color-white-50: rgba(255, 255, 255, 0.5);
	--global--color-white-90: rgba(255, 255, 255, 0.9);
	--global--color-primary: var(--global--color-dark-gray); /* Body text color, site title, footer text color. */
	--global--color-secondary: var(--global--color-gray); /* Headings */
	--global--color-primary-hover: var(--global--color-primary);
	--global--color-background: var(--global--color-white); /* changed - Mint, default body background */
	--global--color-border: var(--global--color-primary); /* Used for borders (separators) */
	
		/* Font Size */
	--global--font-size-base: 1.25rem;
	--global--font-size-xs: 1rem;
	--global--font-size-sm: 1.125rem;
	--global--font-size-md: 1.25rem;
	--global--font-size-lg: 1.5rem;
	--global--font-size-xl: 2.25rem;
	--global--font-size-xxl: 4rem;
	--global--font-size-xxxl: 5rem;
	--global--font-size-page-title: var(--global--font-size-lg); /* changed from xxl */
	--global--letter-spacing: normal;
	
		/* Header */
	--branding--color-text: var(--global--color-primary);
	--branding--color-link: var(--global--color-primary);
	--branding--color-link-hover: var(--global--color-secondary);
	--branding--title--font-family: Lucida Bright, Goudy Old Style, Georgia, Calisto MT, Garamond, Book Antiqua, serif;
	--branding--title--font-size: var(--global--font-size-lg);
	--branding--title--font-size-mobile: var(--heading--font-size-h4);
	--branding--title--font-weight: normal;
	--branding--title--font-style: italic;
	--branding--title--text-transform: none;
	--branding--description--font-family: var(--global--font-secondary);
	--branding--description--font-size: var(--global--font-size-sm);
	--branding--logo--max-width: 300px;
	--branding--logo--max-height: 100px;
	--branding--logo--max-width-mobile: 96px;
	--branding--logo--max-height-mobile: 96px;

}
 
 /* Header */
 
 .site-header {
	row-gap: 3px;
}
 
 @media only screen and (min-width: 822px) {

	.site-header {
		padding-top: calc(1.4 * var(--global--spacing-vertical));
		padding-bottom: calc(1 * var(--global--spacing-vertical));
	}
}

.site-header > .site-logo {
	width: 100%;
	padding-bottom: calc(var(--global--spacing-vertical) * 1);
	border-bottom: 1px dotted;
	text-align: center;
}

.site-title {
	font-style: var(--branding--title--font-style);
}


 /* Footer */
 
 .site-footer > .site-info {
	padding-top: var(--global--spacing-vertical);
	color: var(--footer--color-text);
	font-family: var(--footer--font-family);
	font-size: var(--footer--font-size);
	line-height: var(--global--line-height-body);
	border-top: 2px double var(--global--color-border);
}

.widget-area {
	margin-top: calc(4 * var(--global--spacing-vertical));
	padding-top: calc(var(--global--spacing-vertical) /6);
	padding-bottom: calc(var(--global--spacing-vertical) / 3);
	color: var(--footer--color-text);
	font-size: var(--footer--font-size);
	font-family: var(--footer--font-family);
	border-top: 1px dotted;
}



.singular .entry-header {
	border-bottom: 1px dotted var(--global--color-border);
	padding-bottom: calc(.2 * var(--global--spacing-vertical));
	margin-bottom: calc(.3 * var(--global--spacing-vertical));
}